diff --git a/web/pgadmin/utils/javascript/tests/test_javascript_bundler.py b/web/pgadmin/utils/javascript/tests/test_javascript_bundler.py
index be485d2b..2c7d9183 100644
--- a/web/pgadmin/utils/javascript/tests/test_javascript_bundler.py
+++ b/web/pgadmin/utils/javascript/tests/test_javascript_bundler.py
@@ -24,12 +24,17 @@ class JavascriptBundlerTestCase(BaseTestGenerator):
     scenarios = [('scenario name: JavascriptBundlerTestCase', dict())]
 
     def setUp(self):
-        self.skipTest("Test currently disabled for all server versions.")
+        self.backupOSModule = sys.modules['os']
+        self.backupSubprocessModule = sys.modules['subprocess']
         self.mockSubprocess = mock.Mock()
         self.mockOs = mock.Mock()
         sys.modules['subprocess'] = self.mockSubprocess
         sys.modules['os'] = self.mockOs
 
+    def tearDown(self):
+        sys.modules['os'] = self.backupOSModule
+        sys.modules['subprocess'] = self.backupSubprocessModule
+
     def runTest(self):
         from pgadmin.utils.javascript.javascript_bundler import JavascriptBundler
         from pgadmin.utils.javascript.javascript_bundler import JsState
